Go to the latest version of this document.

# ``twisted`.`internet`.`error`.`BadFileError``

exception documentation

`class BadFileError(ConnectError): (source)`

Constructor: `BadFileError(osError, string)`

View In Hierarchy

Undocumented

Constant | `MESSAGE` | Undocumented
Class Variable | `__doc__` | Undocumented

Inherited from `ConnectError`:

Method | `__init__` | Undocumented
Method | `__str__` | Undocumented
Instance Variable | `osError` | Undocumented

MESSAGE: `str` = (source)
overrides `twisted.internet.error.ConnectError.MESSAGE`

Undocumented

Value

    'File used for UNIX socket is no good'

__doc__: `str` = (source)
overrides `twisted.internet.error.ConnectError.__doc__`

Undocumented